%define name 	matchbox-window-manager
%define version 1.2

Summary: 	Window manager for the Matchbox Desktop
Name: 		%name
Version: 	%version
Release: 	%mkrel 1
Url: 		http://projects.o-hand.com/matchbox/
License: 	GPL
Group: 		Graphical desktop/Other
Source: 	http://projects.o-hand.com/matchbox/sources/%name/%version/%{name}-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	pkgconfig libmatchbox-devel expat-devel libGConf2-devel
BuildRequires:	startup-notification-devel libXsettings-client-devel
Requires(pre):	GConf2

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

This package contains the window manager from Matchbox.

%prep
%setup -q

%build
%configure2_5x --enable-gconf --enable-expat --enable-message-wins --enable-startup-notification
%make

%install
rm -rf $RPM_BUILD_ROOT
perl -p -i -e 's|install-data-local:|||g' data/schemas/Makefile
%makeinstall

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/matchbox.schemas > /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%_bindir/*
%config(noreplace) %{_sysconfdir}/matchbox/kbdconfig
%_sysconfdir/gconf/schemas/matchbox.schemas
%_datadir/matchbox/*
%_datadir/themes/*




%changelog
* Wed Sep 05 2007 Jérôme Soyer <saispo@mandriva.org> 1.2-1mdv2008.0
+ Revision: 80239
- New version 1.2


* Thu Jan 25 2007 Jérôme Soyer <saispo@mandriva.org> 1.1-1mdv2007.0
+ Revision: 113080
- New release 1.1
- Import matchbox-window-manager

* Thu Mar 23 2006 Austin Acton <austin@mandriva.org> 1.0-1mdk
- New release 1.0

* Fri Aug 26 2005 Austin Acton <austin@mandriva.org> 0.9.5-1mdk
- New release 0.9.5

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 0.9.4-1mdk
- 0.9.4
- new URLs

* Mon Jan 24 2005 Austin Acton <austin@mandrake.org> 0.9.2-1mdk
- 0.9.2

* Mon Jan 10 2005 Austin Acton <austin@mandrake.org> 0.9-1mdk
- 0.9

* Thu Sep 30 2004 Austin Acton <austin@mandrake.org> 0.8.4-1mdk
- 0.8.4

* Tue Aug 24 2004 Austin Acton <austin@mandrake.org> 0.8.3-2mdk
- fix schemas

* Tue Aug 24 2004 Austin Acton <austin@mandrake.org> 0.8.3-1mdk
- 0.8.3

* Wed Aug 11 2004 Austin Acton <austin@mandrake.org> 0.8.2-3mdk
- buildrequires xsettings

* Wed Jul 28 2004 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- enable startup-notification

* Wed Jul 21 2004 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- 0.8.2

